Package io.vertx.kafka.admin

## Class DescribeClusterOptions

- java.lang.Object
- - io.vertx.kafka.admin.DescribeClusterOptions

-     public class DescribeClusterOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DescribeClusterOptions()` | Constructor
    `DescribeClusterOptions​(JsonObject json)` | Constructor (from JSON representation)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `includeAuthorizedOperations()` | Specify if authorized operations should be included in the response.
    `DescribeClusterOptions` | `includeAuthorizedOperations​(boolean includeAuthorizedOperations)` |
    `JsonObject` | `toJson()` | Convert object to JSON representation
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeClusterOptions

          public DescribeClusterOptions()

      Constructor

    - #### DescribeClusterOptions

          public DescribeClusterOptions​(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### includeAuthorizedOperations

          public DescribeClusterOptions includeAuthorizedOperations​(boolean includeAuthorizedOperations)

    - #### includeAuthorizedOperations

          public boolean includeAuthorizedOperations()

      Specify if authorized operations should be included in the response. Note that some older brokers cannot not supply this information even if it is requested.

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`